Subject: Re: New "feature" introduced with winsup automount?
From: Earnie Boyd <[email-masked]>
To: Steve Coleman <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Sat, 13 Feb 1999 13:47:58 -0800 (PST)

You should have read the changes history files.  There you would have
noticed this very change.  It is work that Geoff Noer did to try to
rid us of the problems caused by the // being intrepreted by windows
as a UNC path a noted cause for some of the delays.

To access a non-mounted drive you would do `ls /cygdrive/d/' for
example.  The cygdrive is stored in the registry under a new set of
keys that can be modified by you to be whatever you would like.

---Steve Coleman  wrote:
>
> Hi,
> 
> I finally completed a build of the latest winsup snapshot in order to
> enable the cygwin1.dll pthread support. After installing the new
> cygwin1.dll and the latest pthread.dll I have noticed a few changes in
> the way cygwin handles path names.
> 
> Feature #1:
> 
> Now I find that my current directory environment (i.e. $PWD,pwd.exe)
has
> some additional stuff in it when I first logon. I have "C:\Gnu"
mounted
> as "/" but my home directory which should be displayed as
> "/home/coleman" appeared as "/cygdrive/c/gnu/home/coleman". I
located a
> registry entry that  caused the string "/cygdrive" and after deleting
> the key I got down to just "/c/Gnu/home/coleman". It appears that the
> output of pwd.exe and $PWD do not always match. The $PWD seems to be
> correct as long as I am not in my own home directory but pwd.exe is
> always wrong. After building the distribution I could not find a new
> pwd.exe so I am continuing to use the old binary.
> 
> a2dslc:/% pwd
> /c/Gnu
> a2dslc:/% echo $PWD
> /                    
> a2dslc:/% cd $HOME
> a2dslc:/c/Gnu/home/coleman% pwd
> /c/Gnu/home/coleman
> a2dslc:/c/Gnu/home/coleman% echo $PWD
> /c/Gnu/home/coleman         
> a2dslc:/c/Gnu/home/coleman% cd /home
> a2dslc:/home% echo $PWD
> /home
> a2dslc:/home% pwd
> /c/Gnu/home  
> 
> Is there anything I can do to my registry or environment to get
these to
> act as they used to short of deactivating the automount? 
> 
> Feature #2:
> 
> I used to be able to do "ls //D/" to get a listing of my D: drive but
> this no longer works. Is there a new "unix like" syntax to do this
now,
> or is there a way to get it to automount as /d/ ?
> 
> a2dslc:/c/Gnu/home/coleman:% ls -al //D/
> ls: //D/: No such file or directory   
> 
> Thanks!
> 
> P.S. - I'm really getting psyched to try out cygwin pthreads.
> 
> :-)
> 
> -- 
> Steve Coleman     <[email-masked]>   http://www.jhuapl.edu/
> <<--------->> Johns Hopkins Applied Physics Laboratory <<---------->>
> Balt:443-778-6330 Fax:443-778-5597 Wash:240-228-6330 Fax:240-228-5597
> 

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com